- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel Class Reference

Inheritance diagram for Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel:

List of all members.

## Detailed Description

Specialised text label for the drawing of preset names on the window.

Definition at line 221 of file CPresetBrowser.hpp.

## Public Member Functions

- CPresetTextLabel (IControlRoot *root, const long uniqueId, const CRect &area, const CString &text)
- virtual void drawControl (CGraphics &graphics)
- long getSelectionState () const
- const CString & getText () const
- virtual void handleDoubleClick (CMouseEvent &event)
- virtual void handleLeftButtonDown (CMouseEvent &event)
- void selectLabel (const bool selected=true)
- virtual ~CPresetTextLabel ()

## Protected Attributes

- bool m_load
- bool m_selected

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::CPresetTextLabel | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | const CString & | text |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The unique id of this control
  | area | The area of the control
  | text | The label to display

virtual Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::~CPresetTextLabel | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the controls

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CTextLabel.

long Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::getSelectionState | ( |  | ) | const

Get the selection state

Return values:

  | long | 0 = not selected

const CString& Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::getText | ( |  | ) | const`[inline]`

Get the string

Return values:

  | const | CString& The text being displayed

Reimplemented from Exponent::GUI::Controls::CTextLabel.

Definition at line 285 of file CPresetBrowser.hpp.

References Exponent::GUI::Controls::CTextLabel::m_text.

virtual void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::handleDoubleClick | ( | CMouseEvent & | event | ) | `[virtual]`

Handle a double click

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::handleLeftButtonDown | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being clicked

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::selectLabel | ( | const bool | selected = `true` | ) |

Select this control

Parameters:

  | selected | If true control is drawn selected, if false is drawn unselected

## Member Data Documentation

bool Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::m_load`[protected]`

Should we load

Definition at line 294 of file CPresetBrowser.hpp.

bool Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetTextLabel::m_selected`[protected]`

Are we the selected control

Definition at line 293 of file CPresetBrowser.hpp.